Subject: [Gen-art] Gen-ART Review of draft-ietf-avt-hc-over-mpls-protocol-08

From: Spencer Dawkins <[email-masked]>
Date: Thu, 01 Mar 2007 22:54:08 -0600

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Document: draft-ietf-avt-hc-over-mpls-protocol-08
Reviewer: Spencer Dawkins
Review Date: 2007-03-01
IETF LC End Date: 2007-02-07
IESG Telechat date: 2007-03-08

Summary: This document is ready for publication as Proposed Standard.

Just to follow up - 08 addressed all but one of my Last Call concerns from 
07, and Jerry provided text (below) that addressed the last concern.

> If you prefer I could replace the phrasing "These sub-options do not
> occur together" with the following text: "These sub-options MUST NOT
> occur together, if they do (e.g., if misconfigured) a decompressor MUST
> reject this option and send an explicit error message to the compressor
> [RFC3544]."

Thanks!

Spencer

> Hi, Cullen,
>
> Jerry's proposed text is exactly what I was thinking of (but did not have 
> the background to suggest, of course). If you agree, I think it's the 
> right thing to do.
>
> Thanks,
>
> Spencer
>
> From: "ASH, GERALD R (JERRY), ATTLABS" <[email-masked]>
> To: "Spencer Dawkins" <[email-masked]>; "Cullen Jennings" 
> <[email-masked]>
> Cc: "ASH, GERALD R (JERRY), ATTLABS" <[email-masked]>; "Brian E Carpenter" 
> <[email-masked]>; "Andrew G. Malis" <[email-masked]>
> Sent: Thursday, February 22, 2007 5:44 PM
> Subject: RE: Gen-ART Last Call Review of 
> draft-ietf-avt-hc-over-mpls-protocol-07
>
>
> Spencer, Cullen,
>
> Please see below.
>
>> -----Original Message-----
>> From: Spencer Dawkins [mailto:[email-masked]]
>> Sent: Thursday, February 22, 2007 4:23 PM
>> To: Cullen Jennings
>> Cc: ASH, GERALD R (JERRY), ATTLABS; Brian E Carpenter
>> Subject: Re: Gen-ART Last Call Review of
>> draft-ietf-avt-hc-over-mpls-protocol-07
>>
>> > Hi Spencer - just wondering if the 08 version resolved your
>> concerns.
>>
>> Hi, Cullen,
>>
>> I'm pretty much happy with 08, with one remaining nagging
>> feeling. I'm
>> wondering if the text in "4.2.3 Enhanced RTP-Compression Suboption
>> [RFC3544]" seems tight enough to you and Brian.
>>
>> For ease of reference, that text is as follows:
>>
>>    To use the enhanced RTP HC defined in [RFC3545], a
>>    new sub-option 2 is added.  Sub-option 2 is negotiated instead of,
>>    not in addition to, sub-option 1.  This suboption MUST be included
>>    for ECRTP PWs (0x001B) and MUST NOT be included for other PW types.
>>
>> I flagged this as part of my incessant whining about "but
>> what happens if it
>> IS NOT (or IS) included?", and Jerry provided this paragraph:
>>
>>    Note that sub-option 1 refers to the RTP-Compression Sub-option, as
>>    specified in Section 4.2.2, and sub-option 2 refers to the Enhanced
>>    RTP-Compression Sub-option, as specified in Section 4.2.3.  These
>>    sub-options do not occur together.
>>
>> If this is tight enough for you guys, I'm OK. I was hoping
>> for something
>> like what Jerry added in 4.2.1:
>>
>>    A decompressor
>>    MUST reject this option (if misconfigured) for ROHC PW types and
>>    send an explicit error message to the compressor [RFC3544].
>
> If you prefer I could replace the phrasing "These sub-options do not
> occur together" with the following text: "These sub-options MUST NOT
> occur together, if they do (e.g., if misconfigured) a decompressor MUST
> reject this option and send an explicit error message to the compressor
> [RFC3544]." 

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art